import Vue from "vue";
import VueRouter from "vue-router";
import Home from "../views/Home.vue";
import Profile from "../views/profile.vue";
import missing from "../views/missing.vue";
import Info from "../views/Info.vue";
import TimeRecords from "../views/TimeRecords.vue";
import About from "../views/About.vue";
import Login from "../views/Login.vue";
import Register from "../views/Register.vue";
import StatisticOverview from "../views/StatisticOverview.vue"

Vue.use(VueRouter);

const routes = [
  {
    path: "/",
    name: "Home",
    component: Home
  },
  {
    path: "/timerecords",
    name: "TimeRecords",
    component: TimeRecords
  },
  {
    path: "/login",
    name: "Login",
    component: Login
  },
  {
    path: "/register",
    name: "Register",
    component: Register
  },
  {
    path: "/profile/:id",
    name: "Profile",
    component: Profile,
    children: [
      {
        path: 'info',
        name: 'Info',
        component: Info
      }
    ]
  },
  {
    path: "/profile",
    name: "ProfileMain",
    component: Profile
  },
  {
    path: "/about",
    name: "About",
    component: About
  },
  {
    path: "/statistics",
    name: "Statistics",
    component: StatisticOverview
  },
  {
    path: '*',
    component: missing
  }
];

const router = new VueRouter({
  mode: "history",
  base: process.env.BASE_URL,
  routes
});

export default router;
